/faces/{Id}
Updates the specimen (face) with the same Id in the database.
An identifier of a specimen (face) in the database.
6782225b-1793-4b68-a9de-8fdb3628c7e5Body for the face POST request
An image identifier in the database.
9c79c818-b81a-4959-b65a-a2b0c8143528An identifier used to group different images or biometric templates in a common space.
57fbc814-3f40-402c-9d29-262f99c3b896Description of the specimen (face) stored in the database.
It's a description of the personThe updated specimen data stored in the database.
Data fields of the specimen in the database
Date/time value in "%Y-%m-%dT%H:%M:%SZ" format at which a specimen (face) was created.
2024-11-20T15:39:32ZDescription of the specimen (face) stored in the database.
It's a description of the personAn extended token that contains biometric templates and metadata. Storing it in databases is recommended because it is persistent. It may be updated automatically if the extraction technology changes. It is encoded in base64 RFC4648.
QTevT1Lv5jr0rNyzS3u6SAscolMU+bHitq...An identifier of a specimen (face) in the database.
6782225b-1793-4b68-a9de-8fdb3628c7e5An image identifier in the database.
9c79c818-b81a-4959-b65a-a2b0c8143528An identifier used to group different images or biometric templates in a common space.
57fbc814-3f40-402c-9d29-262f99c3b896Date/time value in "%Y-%m-%dT%H:%M:%SZ" format at which a specimen (face) was updated.
2025-03-18T12:54:02ZIncorrect parameters were received in the request.
An error occurred while calling the backend.
PUT /faces/{Id} HTTP/1.1
Host: 127.0.0.1:6982/
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 149
{
"mediaId": "9c79c818-b81a-4959-b65a-a2b0c8143528",
"tenantId": "57fbc814-3f40-402c-9d29-262f99c3b896",
"description": "It's a description of the person"
}{
"createAt": "2024-11-20T15:39:32Z",
"description": "It's a description of the person",
"facialTemplateRaw": "QTevT1Lv5jr0rNyzS3u6SAscolMU+bHitq...",
"id": "6782225b-1793-4b68-a9de-8fdb3628c7e5",
"mediaId": "9c79c818-b81a-4959-b65a-a2b0c8143528",
"tenantId": "57fbc814-3f40-402c-9d29-262f99c3b896",
"updateAt": "2025-03-18T12:54:02Z"
}Atualizado